LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 07-19-2004, 11:07 PM   #1
olscratch
LQ Newbie
 
Registered: Mar 2004
Location: Atlanta, Georgia
Distribution: Slackware-current
Posts: 26

Rep: Reputation: 15
evolution


I am runnig slackware current. I started out with slackware 9 but I have used swaret to upgrade all the packages I can.I recently started using Gnome and wanted to setup evolution. Problem is it won't start. I get an error message that says I don't have libgtkhtml.so.2. So I tried to intall that but when I try to #make I get several messages;

lib/libgmodule-2.0.so -ldl /usr/lib/libglib-2.0.so /usr/lib/libxml2.so -lpthread -lz -lm
/usr/X11R6/lib/libfontconfig.so.1: undefined reference to `FT_Get_PS_Font_Info'
/usr/lib/libpangoft2-1.0.so.0: undefined reference to `FT_Stream_GetShort'
/usr/lib/libpangoft2-1.0.so.0: undefined reference to `FT_Stream_ExitFrame'
/usr/lib/libpangoft2-1.0.so.0: undefined reference to `FT_Stream_GetLong'
/usr/lib/libpangoft2-1.0.so.0: undefined reference to `FT_Stream_Seek'
/usr/X11R6/lib/libfontconfig.so.1: undefined reference to `FT_Get_Next_Char'
/usr/lib/libpangoft2-1.0.so.0: undefined reference to `FT_Stream_EnterFrame'
/usr/X11R6/lib/libfontconfig.so.1: undefined reference to `FT_Get_BDF_Property'
/usr/lib/libpangoft2-1.0.so.0: undefined reference to `FT_Get_First_Char'
collect2: ld returned 1 exit status
make[3]: *** [test-atoms] Error 1
make[3]: Leaving directory `/home/michael/downloads/libgtkhtml-2.6.1/libgtkhtml/util'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/michael/downloads/libgtkhtml-2.6.1/libgtkhtml'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/michael/downloads/libgtkhtml-2.6.1'
make: *** [all-recursive-am] Error 2

I don't know what this means. I can only imagine I am missing something, but I don't know what. Can someone point me in the right direction?
 
Old 07-20-2004, 05:43 AM   #2
Nichole_knc
Member
 
Registered: Mar 2004
Location: Georgia
Distribution: SlackWare 10.1+, FreeBSD 4.4-5.2, Amiga 1.3,2.1,3.1, Windors XP Pro (makes a fair answering machine)
Posts: 287

Rep: Reputation: 30
Go here and get the .tgz and installing.
Since you have no idea about compile errors and may not have a clue to what to do It would be easiest...

http://www.linuxpackages.net/search_...&name=evo&ver=
 
Old 07-20-2004, 02:20 PM   #3
keefaz
LQ Guru
 
Registered: Mar 2004
Distribution: Slackware
Posts: 6,325

Rep: Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757
The error shows that a function is not referenced by a library file, I guess this file does not exist on your system or it is a older version which does not provide the function needed.

Try to install or upgrade pango package before compile
 
Old 07-20-2004, 02:32 PM   #4
olscratch
LQ Newbie
 
Registered: Mar 2004
Location: Atlanta, Georgia
Distribution: Slackware-current
Posts: 26

Original Poster
Rep: Reputation: 15
tried updating libpangoft

I tried install and upgrading libpangoft with swaret and was told that it was already installed and up to date.
 
Old 07-20-2004, 02:55 PM   #5
keefaz
LQ Guru
 
Registered: Mar 2004
Distribution: Slackware
Posts: 6,325

Rep: Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757
What the output for :
grep FT_Get_PS_Font_Info /usr/X11R6/lib/libfontconfig.so.1

and :
grep FT_Stream_GetShort /usr/lib/libpangoft2-1.0.so.0

Have you the fontconfig package ?
 
Old 07-21-2004, 02:55 PM   #6
olscratch
LQ Newbie
 
Registered: Mar 2004
Location: Atlanta, Georgia
Distribution: Slackware-current
Posts: 26

Original Poster
Rep: Reputation: 15
Binary file /usr/X11R6/lib/libfontconfig.so.1 matches


Binary file /usr//lib/libpangoft2-1.0.so.0 matche
 
Old 07-21-2004, 03:04 PM   #7
keefaz
LQ Guru
 
Registered: Mar 2004
Distribution: Slackware
Posts: 6,325

Rep: Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757
Try a compile now
 
Old 07-21-2004, 07:53 PM   #8
olscratch
LQ Newbie
 
Registered: Mar 2004
Location: Atlanta, Georgia
Distribution: Slackware-current
Posts: 26

Original Poster
Rep: Reputation: 15
I have tried the complile again and still get the same errors when I try Make. I have used swaret to try to install libgtkhtml and libpangoft and the responce I get on both is that they are already installed. Maybe I missed somthing in the ./configure.
 
Old 07-22-2004, 05:21 AM   #9
keefaz
LQ Guru
 
Registered: Mar 2004
Distribution: Slackware
Posts: 6,325

Rep: Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757
Frankly, it may be a better solution to install dropline package, then install evolution and its required libraries from dropline-installer.
I remember that I never success with evolution compilation (maybe it is due by commercial reasons from the ximian team to make it impossible to compile ...)
 
Old 07-22-2004, 03:23 PM   #10
olscratch
LQ Newbie
 
Registered: Mar 2004
Location: Atlanta, Georgia
Distribution: Slackware-current
Posts: 26

Original Poster
Rep: Reputation: 15
I tried dropline. It didn't like my AMD processor, it wouldn't install.
 
Old 07-22-2004, 03:33 PM   #11
keefaz
LQ Guru
 
Registered: Mar 2004
Distribution: Slackware
Posts: 6,325

Rep: Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757
I have an amd (duron) and I had no problem with dropline install. Did you install this package ?
 
Old 07-23-2004, 02:49 PM   #12
olscratch
LQ Newbie
 
Registered: Mar 2004
Location: Atlanta, Georgia
Distribution: Slackware-current
Posts: 26

Original Poster
Rep: Reputation: 15
Tried Dropline again. This time it screwed up something. I can't start any WMs. I get an error like can init font /usr/X11R6/bin/X11/CID. This may not be exactly correct but it is close. I am gonna try and reisntall KDE and fonts packages. I have already reinstalled Gnome.
 
Old 07-23-2004, 02:54 PM   #13
keefaz
LQ Guru
 
Registered: Mar 2004
Distribution: Slackware
Posts: 6,325

Rep: Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757Reputation: 757
Just comment the /usr/X11R6/bin/X11/CID line accordingly in your xorg.conf
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Evolution 2.2.2-2 and Evolution-Exchange v2.0.3-1 rgbrock1 Linux - Software 1 06-29-2005 10:10 AM
evolution nin881 Linux - Newbie 1 05-18-2005 12:06 AM
Import Evolution Contacts into Evolution? geezjan Linux - Software 2 10-05-2004 02:10 PM
Evolution 1.5 PsYlTrance Linux - General 1 04-12-2004 12:21 PM
How do you transfer evolution mail and settings to another computer running evolution cmisip Linux - Software 2 01-10-2003 02:07 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 08:46 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration